--
-- $Id$
--
-- Customer specific once-script mnnl#35291_INS_P2A.
DEFINE thisfile = 'mnnl#35291_INS_P2A.sql'
DEFINE dbuser   = '^MNNL'
DEFINE custid   = 'MNNL'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Omhangen objecten van dummy-persoon naar afdeling, waarbij, indien afdeling
-- niet kan worden bepaald, de afdeling default wordt gezet op 10=IV.
/*
UPDATE ins_deel d
   SET d.ins_alg_ruimte_key =
          (SELECT COALESCE (a.prs_afdeling_key, 10)
             FROM fac_imp_ins i, prs_afdeling a
            WHERE i.ins_deel_omschrijving = d.ins_deel_omschrijving
                  AND UPPER (SUBSTR (i.ins_kenmerkwaarde1, 4)) = UPPER (a.prs_afdeling_naam(+))
                  AND a.prs_afdeling_verwijder IS NULL),
       d.ins_alg_ruimte_type = 'A'
 WHERE d.ins_deel_verwijder IS NULL
       --AND d.ins_alg_ruimte_key = 714
       AND d.ins_alg_ruimte_type = 'P'
       AND EXISTS
             (SELECT 1
                FROM fac_imp_ins i, prs_afdeling a
               WHERE i.ins_deel_omschrijving = d.ins_deel_omschrijving
                     AND UPPER (SUBSTR (i.ins_kenmerkwaarde1, 4)) = UPPER (a.prs_afdeling_naam(+))
                     AND a.prs_afdeling_verwijder IS NULL);
*/
/* Formatted on 29-5-2017 13:27:43 (QP5 v5.136.908.31019) */
UPDATE ins_deel d
   SET d.ins_alg_ruimte_key =
          (SELECT COALESCE (a.prs_afdeling_key, 10)
             FROM ins_v_aanwezigkenmerkdeel kd, prs_afdeling a
            WHERE kd.ins_deel_key = d.ins_deel_key
                  AND kd.ins_kenmerk_key BETWEEN 28 AND 31
                  AND UPPER (kd.ins_kenmerkdeel_waarde) = UPPER (a.prs_afdeling_naam(+))
                  AND a.prs_afdeling_verwijder IS NULL),
       d.ins_alg_ruimte_type = 'A'
 WHERE d.ins_deel_verwijder IS NULL
       --AND d.ins_alg_ruimte_key = 714
       AND d.ins_alg_ruimte_type = 'P'
       AND EXISTS
             (SELECT 1
                FROM ins_v_aanwezigkenmerkdeel kd, prs_afdeling a
               WHERE kd.ins_deel_key = d.ins_deel_key
                     AND kd.ins_kenmerk_key BETWEEN 28 AND 31
                     AND UPPER (kd.ins_kenmerkdeel_waarde) = UPPER (a.prs_afdeling_naam(+))
                     AND a.prs_afdeling_verwijder IS NULL);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$'); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
